void ProcessDialogEvent()
{
	ref NPChar;
	aref Link, NextDiag;

	DeleteAttribute(&Dialog,"Links");

	makeref(NPChar,CharacterRef);
	makearef(Link, Dialog.Links);
	makearef(NextDiag, NPChar.Dialog);

	switch(Dialog.CurrentNode)
	{
		case "First time":
		if(sStory == "advisor_quest")
		{

		//8
		//advisor quest given

				dialog.text = "Obawiam się, że nie mamy o czym mówić, póki Marcus Le Sanguinaire plugawi ten świat swoim istnieniem.";
				link.l1 = "Tak, tak. Zajmuję się tym.";
				link.l1.go = "Exit";

		}
		else
		{
			if(sStory == "advisor_quest_done")
			{

			//9
			//advisor quest done

				dialog.text = "Słyszałem, że pokonałeś Marcusa Le Sanguinaire. Dobra robota! Teraz jestem pewien, że podołasz wspaniałemu zadaniu, które jest jeszcze przed tobą.";
				link.l1 = "Nie jesteś sobie nawet w stanie wyobrazić, jaka to dla mnie ulga. Zawsze będę wymieniał twoje imię w modlitwach, za wszystkie te bezcenne rady, których mi udzielasz. Tak mnie rozbawiła twoja wiara w moje umiejętności, że chyba pogrążę się w ekstazie!";
				link.l1.go = "10";


			}
			else
			{
				if(sStory == "give_boss")
				{

					//13
					//give boss

						dialog.text = "Dobrze. Skoro mamy tę część już za sobą, zajmijmy się flotą. Masz pomysł, jak to zrobić?";
						link.l1 = "Hmm, miałem nadzieję, że ty mi powiesz... Cóż, nie potrzebujemy armady, co więcej - nie możemy liczyć na włączenie w to flot narodowych. Możemy jednak zwrócić się do wolnych kapitanów, którzy zawsze szybko reagują w takich przypadkach.";
						link.l1.go = "14";

				}
				else
				{
					if(sStory == "pirate_boss_quest")
					{

						//19
						//boss not yet done

							dialog.text = "Masz ważniejsze rzeczy na głowie niż zanudzanie na śmierć takiego starca jak ja, kapitanie - musisz wygrać pojedynek.";
							link.l1 = "Racja.";
							link.l1.go = "Exit";

					}
					else
					{
						if(sStory == "pirate_boss_dead")
						{

							//20
							//boss done, captains not ready to be done

								dialog.text = "Dokonałeś tego! Niech mnie diabli, to była najpiękniejsza walka, jaką widziałem. Teraz musisz tylko przekonać kapitanów. Przybędą tu wkrótce.";
								link.l1 = "Tak. Podejrzewam, że to będzie najtrudniejsza część zadania.";
								link.l1.go = "Exit";

						}
						else
						{
							if(sStory == "captains_ready")
							{

								//21
								//captains ready to be done

									dialog.text = "Powinieneś iść porozmawiać z kapitanami. Czekają na ciebie w rezydencji. Powodzenia! Będziesz go potrzebował.";
									link.l1 = "Dzięki. Zaraz pójdę i porozmawiam z nimi.";
									link.l1.go = "Exit";

							}
							else
							{
								if(sStory == "captains_done")
								{

									//22
									//captains done

										dialog.text = "Cóż, kapitanie, zrobiłeś na mnie wielkie wrażenie! Nakłoniłeś piratów i wolnych kapitanów, żeby pracowali dla ciebie, a teraz nękają szlaki zaopatrzenia, dzięki czemu jedna eskadra może podbić większość kolonii, zanim ktokolwiek zdąży się zorientować, co się dzieje i wezwie pomoc z Europy.";
										link.l1 = "O, tak. Gdyby jeszcze te forty nie miały tylu dział...";
										link.l1.go = "Exit";

								}
								else
								{

									//1
									//first time

										dialog.text = "Zatem jesteście dziećmi Sharka. Hmm... Nie wyglądacie jak on...";
										link.l1 = "Możliwe, ale jego wspomnienia żyją w nas, i jego marzenia. Libertania, na przykład.";
										link.l1.go = "2";

								}
							}
						}
					}
				}
			}
		}

		break;

		case "2":
			dialog.text = "Tak, teraz poznaję. Mówicie tak samo jak on. No dobrze... Jak widzę, jego dziennik trafił w końcu w wasze ręce, dokładnie tak, jak to było zaplanowane, i zamierzacie skończyć to, co on rozpoczął?";
			link.l1 = "Sami byśmy tego nie wyrazili lepiej. I potrzebujemy twojej pomocy.";
			link.l1.go = "3";
		break;

		case "3":
			dialog.text = "Ależ oczywiście. Chcecie utworzyć państwo, ale nie wiecie, jak to zrobić. Przypadłość rodzinna, jak widzę.";
			link.l1 = "Cóż, eee... tak... eee... Prawdopodobnie.";
			link.l1.go = "4";
		break;

		case "4":
			dialog.text = "Jeśli chcecie utworzyć państwo, musicie być bardziej elokwentni. Cóż, wypada sobie poradzić z tym co mamy. Pomogę wam, ale najpierw wy musicie pomóc mnie.";
			link.l1 = "Ciekawe skąd było wiadome, że do tego dojdziemy. Dobrze, mów, co mamy zrobić?";
			link.l1.go = "5";
		break;

		case "5":
			dialog.text = "Zaraz, zaraz, po co ten sarkazm? Pozostaw go sobie na sprawy wagi państwowej. Przyda ci się do zachowania zdrowych zmysłów. Oto, co musicie zrobić: jest taki pirat, który, odkąd pamiętam, był mi cierniem w zadku, ale teraz skończyła się moja cierpliwość.";
			link.l1 = "Niech zgadnę, co mam zrobić? Zatopić jego statek? Urwać mu łeb? Może jeszcze mam na głos recytować poezję podczas wykonywania tych zadań?";
			link.l1.go = "6";
		break;

		case "6":
			dialog.text = "Jak widzę, masz niewyparzoną gębę swojego ojca. Zrób co chcesz z jego statkiem, ale jego kapitan musi być karmą dla ryb, najlepiej podaną w drobnych kawałeczkach. Lubi pływać w okolicach Isla Mona, więc nie będzie problemu ze znalezieniem tego szczura. Zwą to bydlę Marcus Le Sanguinaire, jeśli dasz temu wiarę, a jego statek 'Bloody Michelle'.";
			link.l1 = "Dobrze, zrobię to. Jak widzę, niespecjalny mam wybór. Ale mam nadzieję, że i ty wypełnisz swoją część umowy, dla swojego zresztą dobra.";
			link.l1.go = "7";
		break;

		case "7":
			dialog.text = "Nie martw się, zrobię to. Marzenie twojego ojca było także moim marzeniem. Ale muszę mieć pewność, że to i twój cel, i bezwzględnie zależy mi na usunięciu tego idioty Marcusa. A ten mały test załatwi obie sprawy - jeśli się na to zgodzisz.";
			link.l1 = "Zrobię to. Nie odchodź za daleko, to nie potrwa długo.";
			link.l1.go = "Exit";
		break;

		case "10":
			dialog.text = "Hmm, tak. Twoja elokwencja cudownie się poprawiła od naszej ostatniej rozmowy. Nie muszę cię już dłużej uczyć, myślę, że usłyszałem to jasno i wyraźnie. Cóż, wyjaśnienia zajmą chwilę, więc lepiej skup się na tym, co mówię...";
			link.l1 = "[Słuchasz jego mamrotania]";
			link.l1.go = "10_exit";
		break;

		case "10_exit":
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
			AddDialogExitQuest("Advisor_long_speak");
		break;


		case "11":
			dialog.text = "...i to jest najistotniejsze, kiedy chce się stworzyć podwaliny nowego narodu. Jak widzisz, nie jest to proste zadanie, ale i nie piekielnie trudne, o ile masz w sobie zapał godny takiej sprawy.";
			link.l1 = "Zatem pozwól podsumować: potrzebujemy floty, która przerwie szlaki handlowe i zwiąże flotę nieprzyjaciela, potrzebujemy wsparcia bankierów i kupców, musimy też zająć wszystkie kolonie... Bułka z masłem.";
			link.l1.go = "12";
		break;

		case "12":
			dialog.text = "Cieszę się, że to zadanie cię nie przerasta, ale niewątpliwie byłoby lepiej, gdybyś podchodził do niego bardziej serio. Jeśli mogę zasugerować, warto by było, aby do rozmów z kupcami i bankierami wydesygnować kogoś innego niż ty. Twoją rolą, odpowiednią do temperamentu, będzie zgromadzenie floty.";
			link.l1 = "Zgoda. Wybacz mi na sekundę.";
			link.l1.go = "Exit";
		break;

		case "14":
			dialog.text = "Oczywiście. Jak rozumiem, wiesz jak zgromadzić taką flotę?";
			link.l1 = "Prawdę mówiąc, tak, wiem. Wolni kapitanowie i piraci mają podobne cele, łatwo będzie ich zjednoczyć pod wspólną banderą. Jedynym problemem będzie zebranie ich wszystkich, to znaczy większości, albo chociaż tych najważniejszych, w jednym miejscu, by mogli mnie wysłuchać.";
			link.l1.go = "15";
		break;

		case "15":
			dialog.text = "Wiem, co trzeba zrobić, żeby cię wysłuchali. Jestem pewien, że znasz tę wyspę, raj piratów, na której ma rezydencję ich przywódca, choć jest to bardziej sędzia rozstrzygający spory niż prawdziwy wódz. Ale jego pozycja jest znaczna, a słowa uszanuje większość piratów.";
			link.l1 = "Jakoś wątpię, żeby z własnej woli zechciał mnie wysłuchać - mógłby pomyśleć, że chcę mu odebrać jego pozycję, a prawdę mówiąc niewiele by się mylił. Diabła tam, jego gwardia nie wpuści mnie nawet do tej rezydencji.";
			link.l1.go = "16";
		break;

		case "16":
			dialog.text = "To prawda. Jego nie przekonasz, ale przekonasz innych, jeśli zajmiesz jego miejsce. Widzisz, jest taki stary zwyczaj, wśród piratów, który stanowi, że kto pokona wodza w walce na śmierć i życie, może zostać jego następcą. Odmowa stanięcia do takiego pojedynku będzie poczytana za najgorszy rodzaj tchórzostwa, a przywódca, który nie stanie do walki, straci wszelkie poważanie.";
			link.l1 = "Rozumiem. Mam tam po prostu pójść, wyzwać go na pojedynek i zabić? To z pewnością nie będzie łatwe...";
			link.l1.go = "17";
		break;

		case "17":
			dialog.text = "Cóż, w rzeczy samej, nie będzie. Kurt Krieger jest uważany za najlepszego szermierza w tej części świata. Powiadają, że nikt, kto wyzwał go na pojedynek, nie przeżył dłużej niż minutę. Ale jeśli go pokonasz, zajmiesz jego miejsce, i będziesz w stanie zgromadzić wszystkich kapitanów. I wygłosisz im swoje przemówienie.";
			link.l1 = "Najlepszy szermierz, tak? Lubię wyzwania. Sądzę, że go odwiedzę.";
			link.l1.go = "Exit";
		break;

		case "Exit":
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
		break;

	}
}
